require 'src/filesystem'
require 'src/mailstore'

class DovecotMailstore < Mailstore

  def get_accounts_from_filesystem()
    accounts = []
  
    domains = Filesystem.get_subdirs(@domain_root)
  
    domains.each do |domain|
      domain_path = File.join(@domain_root, domain)
      usernames = Filesystem.get_subdirs(domain_path)
      
      usernames.each do |username|
        accounts << "#{username}@#{domain}"
      end
    end

    return accounts
  end
    
end
